package fr.openium.consentium.ui.screens.splash

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.delay
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class SplashScreenViewModel @Inject constructor(
) : ViewModel() {

    private val _state = MutableStateFlow<State>(State.Loaded(false))
    val state: StateFlow<State> = _state

    fun initMain() {
        viewModelScope.launch {
            delay(1500L)
            _state.value = State.Loaded(true)
        }
    }

    sealed interface State {
        data class Loaded(val isSplashEnded: Boolean) : State
    }

}