package fr.openium.consentium_ui.api.mock

import fr.openium.consentium_ui.data.remote.ConsentiumUIApi
import fr.openium.consentium_ui.data.remote.model.GetConsentConfigDTO
import retrofit2.Response
import java.util.UUID

internal object ConsentiumUIMockApi : ConsentiumUIApi {

    private val consents = GetConsentConfigDTO(
        installationId = UUID.randomUUID().toString(),
        appName = "Consentium",
        icon = "https://www.example.com/icon.png",
        primaryColor = "#FF0000",
        secondaryColor = "#00FF00",
        textColor = "#0000FF",
        consentMainTextTranslation = emptyList(),
        purposes = emptyList(),
    )

    override suspend fun getConsentConfig(applicationID: String, installationID: String): Response<GetConsentConfigDTO> {
        return Response.success(consents)
    }

}